ParamTaskData (CMDB Model API)
Keywords: com.collation.platform.model.provision.workflow.ParamTaskData interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.provision.workflow
Interface ParamTaskData

All Superinterfaces:
  ModelObject, java.io.Serializable, TaskData

All Known Subinterfaces:
  ParamTaskDataInstance

    public interface ParamTaskData

extends TaskData

Persistable:
  true

Method Summary
`java.lang.String` | `getApplicationName()`
`java.lang.String` | `getModuleName()`
`java.lang.String` | `getPackageName()`
`java.lang.String` | `getParameterName()`
`boolean` | `hasApplicationName()`
`boolean` | `hasModuleName()`
`boolean` | `hasPackageName()`
`boolean` | `hasParameterName()`
`void` | `setApplicationName(java.lang.String name)`
`void` | `setModuleName(java.lang.String name)`
`void` | `setPackageName(java.lang.String name)`
`void` | `setParameterName(java.lang.String name)`

Methods inherited from interface com.collation.platform.model.workflow.TaskData
`getParent, hasParent, setParent`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getApplicationName

    java.lang.String getApplicationName()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setApplicationName

    void setApplicationName(java.lang.String name)

### hasApplicationName

    boolean hasApplicationName()

### getModuleName

    java.lang.String getModuleName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setModuleName

    void setModuleName(java.lang.String name)

### hasModuleName

    boolean hasModuleName()

### getPackageName

    java.lang.String getPackageName()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPackageName

    void setPackageName(java.lang.String name)

### hasPackageName

    boolean hasPackageName()

### getParameterName

    java.lang.String getParameterName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParameterName

    void setParameterName(java.lang.String name)

### hasParameterName

    boolean hasParameterName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD